rgb(__appmansuffix__)

NAME
rgb - build the color name database

SYNOPSIS
rgb [ dbname ]

DESCRIPTION
rgb reads from standard input lines of the form:

	red  green  blue      name

where red / green / blue are decimal values between the range 0 to 255, and name is a description of the color. rgb then builds a color name database in __RGB_DB_TYPE__ format. The color name database provides a mapping between ASCII color names and RGB color values. It is useful for increasing the portability of color programs. The input source for the database is in __RGB_DB__.txt. rgb.txt is compiled into the __RGB_DB_TYPE__ files __RGB_DB_FILES__. When the server first starts up, it consults the contents of these files to build an internal representation of their contents. This internal representation is consulted to map color names to color values.

rgb uses the default color name database of __RGB_DB__.txt.

OPTIONS

dbname
    Color name database.

EXAMPLES
example% rgb rgb < __RGB_DB__.txt

example% cat __RGB_DB__.txt

FILES
__RGB_DB__.txt
    color name database source. Maps color names to RGB color values.
__RGB_DB_DIR__/__RGB_DB_FILES__
    __RGB_DB_TYPE__ files containing color name to RGB mapping.

SEE ALSO
cat(__appmansuffix__), __RGB_DB_TYPE__(__libmansuffix__)